> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/ping > Trigger a diagnostic test ## OpenAPI ````json POST /v1/diagnostic/ping { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/ping": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticPingPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticPingPostResponse" } } } } }, "description": "Trigger a diagnostic test" } } }, "components": { "schemas": { "v1DiagnosticPingPostRequest": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 10000000, "minimum": 0, "description": "Valid Provisioned device ID (required)" }, "params": { "$ref": "#/components/schemas/diagnosticToolsDiagnosticParams" }, "token": { "type": "string", "example": "example string", "description": "Identifier which was received in initial response" }, "transportType": { "type": "string", "example": "ENUM_VALUE", "description": "ICMP or TCP (required)" } }, "additionalProperties": false, "required": [ "deviceId", "transportType" ] }, "v1DiagnosticPingPostResponse": { "type": "object", "properties": { "result": { "$ref": "#/components/schemas/diagnosticToolsDiagnosticResult" }, "token": { "type": "string", "example": "example string", "description": "Token to be sent in subsequent lookup (required)" } }, "additionalProperties": false }, "diagnosticToolsDiagnosticParams": { "type": "object", "properties": { "destAddress": { "type": "string", "example": "172.1.1.1", "description": "IPv4 or IPv6 Destination address (required)" }, "hopStatsCount": { "type": "integer", "format": "int32", "example": 10, "minimum": 0, "description": "Per hop probes needed for traceroute hop stats" }, "interface": { "type": "string", "example": "ethernet1/0", "description": "Source Interface name" }, "payloadSize": { "type": "integer", "format": "int32", "example": 64, "minimum": 0, "description": "Size of packet to be sent" }, "port": { "type": "integer", "format": "int32", "example": 443, "minimum": 0, "description": "Valid in case of TCP ping (required)" }, "probeCount": { "type": "integer", "format": "int32", "example": 4, "minimum": 0, "description": "Number of probes to send" }, "srcAddress": { "type": "string", "example": "10.1.1.1", "description": "IPv4 or IPv6 address (required)" }, "tos": { "type": "integer", "format": "int32", "example": "0 - 7", "minimum": 0, "description": "Type of service" }, "vrfName": { "type": "string", "example": "finance", "description": "configure VRF Name (required)" } }, "additionalProperties": false, "required": [ "destAddress", "port", "srcAddress", "vrfName" ] }, "diagnosticToolsDiagnosticResult": { "type": "object", "properties": { "pingResult": { "$ref": "#/components/schemas/diagnosticToolsPingResult" }, "routeInfo": { "$ref": "#/components/schemas/diagnosticToolsRouteLookupResult" }, "traceResult": { "$ref": "#/components/schemas/diagnosticToolsTracerouteResult" } }, "additionalProperties": false }, "diagnosticToolsPingResult": { "type": "object", "properties": { "avgLoss": { "type": "number", "format": "float", "example": 64, "description": "% loss (required)" }, "avgTime": { "type": "number", "format": "double", "example": 3, "description": "Time in milli seconds (required)" }, "completedTime": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "maxTime": { "type": "number", "format": "double", "example": 10, "description": "Time in milli seconds (required)" }, "minTime": { "type": "number", "format": "double", "example": 5, "description": "Time in milli seconds (required)" }, "result": { "type": "string", "example": "Success", "description": "Success or Failed (required)" } }, "additionalProperties": false }, "diagnosticToolsRouteLookupResult": { "type": "object", "properties": { "nexthopAddress": { "type": "string", "example": "1213:1::6451", "description": "IPv4 or IPv6 gateway address (required)" }, "outgoingInterface": { "type": "string", "example": "Ethernet0/1", "description": "Interface name (required)" }, "prefix": { "type": "string", "example": "1213:1::6451", "description": "IPv4 or IPv6 longest matching prefix (required)" } }, "additionalProperties": false }, "diagnosticToolsTracerouteResult": { "type": "object", "properties": { "hops": { "type": "array", "items": { "$ref": "#/components/schemas/diagnosticToolsHopInfo" } }, "maxLatency": { "type": "number", "format": "double", "example": 10, "description": "time in milliseconds (required)" }, "maxLatencyHost": { "type": "string", "example": "A123:3242::1111", "description": "IPv4 or IPv6 address (required)" }, "maxPathMtu": { "type": "integer", "format": "int32", "example": 1500, "minimum": 0, "description": "Path MTU (required)" }, "minPathMtu": { "type": "integer", "format": "int32", "example": 1000, "minimum": 0, "description": "Path MTU (required)" }, "result": { "type": "string", "example": "Failed", "description": "Success or Failed (required)" }, "stoppedTime": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "diagnosticToolsHopInfo": { "type": "object", "properties": { "hostAddress": { "type": "string", "example": "1213:1::6451", "description": "IPv4 or IPv6 address (required)" }, "pathMtu": { "type": "integer", "format": "int32", "example": 1500, "minimum": 0, "description": "Path MTU for this host_address (required)" }, "roundTripTime": { "type": "number", "format": "double", "example": 10, "description": "time in milli seconds (required)" }, "stats": { "$ref": "#/components/schemas/diagnosticToolsHopStats" } }, "additionalProperties": false }, "diagnosticToolsHopStats": { "type": "object", "properties": { "avgTime": { "type": "number", "format": "double", "example": 3, "description": "Time in milli seconds (required)" }, "maxTime": { "type": "number", "format": "double", "example": 10, "description": "Time in milli seconds (required)" }, "minTime": { "type": "number", "format": "double", "example": 5, "description": "Time in milli seconds (required)" }, "rxPackets": { "type": "integer", "format": "int32", "example": 10, "minimum": 0, "description": "Received packet count (required)" }, "stdDevTime": { "type": "number", "format": "double", "example": 3, "description": "Standard deviation of the round-trip time in milli seconds (required)" }, "txPackets": { "type": "integer", "format": "int32", "example": 10, "minimum": 0, "description": "Transmitted packet count (required)" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````